<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.6.0_35) on Wed Nov 28 22:34:03 CET 2012 -->
<META http-equiv="Content-Type" content="text/html; charset=UTF-8">
<TITLE>
DefaultNHttpServerConnection (HttpComponents Core 4.2.3 API)
</TITLE>

<META NAME="date" CONTENT="2012-11-28">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="DefaultNHttpServerConnection (HttpComponents Core 4.2.3 API)";
    }
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">
<HR>


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/DefaultNHttpServerConnection.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../../org/apache/http/impl/nio/DefaultNHttpClientConnectionFactory.html" title="class in org.apache.http.impl.nio"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../../org/apache/http/impl/nio/DefaultNHttpServerConnectionFactory.html" title="class in org.apache.http.impl.nio"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../index.html?org/apache/http/impl/nio/DefaultNHttpServerConnection.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="DefaultNHttpServerConnection.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;<A HREF="#field_summary">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;<A HREF="#field_detail">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
org.apache.http.impl.nio</FONT>
<BR>
Class DefaultNHttpServerConnection</H2>
<PRE>
<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</A>
  <IMG SRC="../../../../../resources/inherit.gif" ALT="extended by "><A HREF="../../../../../org/apache/http/impl/nio/NHttpConnectionBase.html" title="class in org.apache.http.impl.nio">org.apache.http.impl.nio.NHttpConnectionBase</A>
      <IMG SRC="../../../../../resources/inherit.gif" ALT="extended by "><B>org.apache.http.impl.nio.DefaultNHttpServerConnection</B>
</PRE>
<DL>
<DT><B>All Implemented Interfaces:</B> <DD><A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/io/Closeable.html?is-external=true" title="class or interface in java.io">Closeable</A>, <A HREF="../../../../../org/apache/http/HttpConnection.html" title="interface in org.apache.http">HttpConnection</A>, <A HREF="../../../../../org/apache/http/HttpInetConnection.html" title="interface in org.apache.http">HttpInetConnection</A>, <A HREF="../../../../../org/apache/http/nio/IOControl.html" title="interface in org.apache.http.nio">IOControl</A>, <A HREF="../../../../../org/apache/http/nio/NHttpConnection.html" title="interface in org.apache.http.nio">NHttpConnection</A>, <A HREF="../../../../../org/apache/http/nio/NHttpServerConnection.html" title="interface in org.apache.http.nio">NHttpServerConnection</A>, <A HREF="../../../../../org/apache/http/nio/NHttpServerIOTarget.html" title="interface in org.apache.http.nio">NHttpServerIOTarget</A>, <A HREF="../../../../../org/apache/http/nio/reactor/SessionBufferStatus.html" title="interface in org.apache.http.nio.reactor">SessionBufferStatus</A>, <A HREF="../../../../../org/apache/http/nio/reactor/SocketAccessor.html" title="interface in org.apache.http.nio.reactor">SocketAccessor</A></DD>
</DL>
<HR>
<DL>
<DT><PRE><FONT SIZE="-1"><A HREF="../../../../../org/apache/http/annotation/NotThreadSafe.html" title="annotation in org.apache.http.annotation">@NotThreadSafe</A>
</FONT>public class <B>DefaultNHttpServerConnection</B><DT>extends <A HREF="../../../../../org/apache/http/impl/nio/NHttpConnectionBase.html" title="class in org.apache.http.impl.nio">NHttpConnectionBase</A><DT>implements <A HREF="../../../../../org/apache/http/nio/NHttpServerIOTarget.html" title="interface in org.apache.http.nio">NHttpServerIOTarget</A></DL>
</PRE>

<P>
Default implementation of the <A HREF="../../../../../org/apache/http/nio/NHttpServerConnection.html" title="interface in org.apache.http.nio"><CODE>NHttpServerConnection</CODE></A> interface.
 <p>
 The following parameters can be used to customize the behavior of this
 class:
 <ul>
  <li><A HREF="../../../../../org/apache/http/params/CoreProtocolPNames.html#HTTP_ELEMENT_CHARSET"><CODE>CoreProtocolPNames.HTTP_ELEMENT_CHARSET</CODE></A></li>
  <li><A HREF="../../../../../org/apache/http/params/CoreConnectionPNames.html#SOCKET_BUFFER_SIZE"><CODE>CoreConnectionPNames.SOCKET_BUFFER_SIZE</CODE></A></li>
  <li><A HREF="../../../../../org/apache/http/params/CoreConnectionPNames.html#MAX_HEADER_COUNT"><CODE>CoreConnectionPNames.MAX_HEADER_COUNT</CODE></A></li>
  <li><A HREF="../../../../../org/apache/http/params/CoreConnectionPNames.html#MAX_LINE_LENGTH"><CODE>CoreConnectionPNames.MAX_LINE_LENGTH</CODE></A></li>
 </ul>
<P>

<P>
<DL>
<DT><B>Since:</B></DT>
  <DD>4.0</DD>
</DL>
<HR>

<P>
<!-- =========== FIELD SUMMARY =========== -->

<A NAME="field_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Field Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;<A HREF="../../../../../org/apache/http/nio/NHttpMessageParser.html" title="interface in org.apache.http.nio">NHttpMessageParser</A>&lt;<A HREF="../../../../../org/apache/http/HttpRequest.html" title="interface in org.apache.http">HttpRequest</A>&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/http/impl/nio/DefaultNHttpServerConnection.html#requestParser">requestParser</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;<A HREF="../../../../../org/apache/http/nio/NHttpMessageWriter.html" title="interface in org.apache.http.nio">NHttpMessageWriter</A>&lt;<A HREF="../../../../../org/apache/http/HttpResponse.html" title="interface in org.apache.http">HttpResponse</A>&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/http/impl/nio/DefaultNHttpServerConnection.html#responseWriter">responseWriter</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;<A NAME="fields_inherited_from_class_org.apache.http.impl.nio.NHttpConnectionBase"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Fields inherited from class org.apache.http.impl.nio.<A HREF="../../../../../org/apache/http/impl/nio/NHttpConnectionBase.html" title="class in org.apache.http.impl.nio">NHttpConnectionBase</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../../org/apache/http/impl/nio/NHttpConnectionBase.html#connMetrics">connMetrics</A>, <A HREF="../../../../../org/apache/http/impl/nio/NHttpConnectionBase.html#contentDecoder">contentDecoder</A>, <A HREF="../../../../../org/apache/http/impl/nio/NHttpConnectionBase.html#contentEncoder">contentEncoder</A>, <A HREF="../../../../../org/apache/http/impl/nio/NHttpConnectionBase.html#context">context</A>, <A HREF="../../../../../org/apache/http/impl/nio/NHttpConnectionBase.html#hasBufferedInput">hasBufferedInput</A>, <A HREF="../../../../../org/apache/http/impl/nio/NHttpConnectionBase.html#hasBufferedOutput">hasBufferedOutput</A>, <A HREF="../../../../../org/apache/http/impl/nio/NHttpConnectionBase.html#inbuf">inbuf</A>, <A HREF="../../../../../org/apache/http/impl/nio/NHttpConnectionBase.html#incomingContentStrategy">incomingContentStrategy</A>, <A HREF="../../../../../org/apache/http/impl/nio/NHttpConnectionBase.html#inTransportMetrics">inTransportMetrics</A>, <A HREF="../../../../../org/apache/http/impl/nio/NHttpConnectionBase.html#outbuf">outbuf</A>, <A HREF="../../../../../org/apache/http/impl/nio/NHttpConnectionBase.html#outgoingContentStrategy">outgoingContentStrategy</A>, <A HREF="../../../../../org/apache/http/impl/nio/NHttpConnectionBase.html#outTransportMetrics">outTransportMetrics</A>, <A HREF="../../../../../org/apache/http/impl/nio/NHttpConnectionBase.html#remote">remote</A>, <A HREF="../../../../../org/apache/http/impl/nio/NHttpConnectionBase.html#request">request</A>, <A HREF="../../../../../org/apache/http/impl/nio/NHttpConnectionBase.html#response">response</A>, <A HREF="../../../../../org/apache/http/impl/nio/NHttpConnectionBase.html#session">session</A>, <A HREF="../../../../../org/apache/http/impl/nio/NHttpConnectionBase.html#status">status</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="fields_inherited_from_class_org.apache.http.nio.NHttpConnection"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Fields inherited from interface org.apache.http.nio.<A HREF="../../../../../org/apache/http/nio/NHttpConnection.html" title="interface in org.apache.http.nio">NHttpConnection</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../../org/apache/http/nio/NHttpConnection.html#ACTIVE">ACTIVE</A>, <A HREF="../../../../../org/apache/http/nio/NHttpConnection.html#CLOSED">CLOSED</A>, <A HREF="../../../../../org/apache/http/nio/NHttpConnection.html#CLOSING">CLOSING</A></CODE></TD>
</TR>
</TABLE>
&nbsp;
<!-- ======== CONSTRUCTOR SUMMARY ======== -->

<A NAME="constructor_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Constructor Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../org/apache/http/impl/nio/DefaultNHttpServerConnection.html#DefaultNHttpServerConnection(org.apache.http.nio.reactor.IOSession, org.apache.http.HttpRequestFactory, org.apache.http.nio.util.ByteBufferAllocator, org.apache.http.params.HttpParams)">DefaultNHttpServerConnection</A></B>(<A HREF="../../../../../org/apache/http/nio/reactor/IOSession.html" title="interface in org.apache.http.nio.reactor">IOSession</A>&nbsp;session,
                             <A HREF="../../../../../org/apache/http/HttpRequestFactory.html" title="interface in org.apache.http">HttpRequestFactory</A>&nbsp;requestFactory,
                             <A HREF="../../../../../org/apache/http/nio/util/ByteBufferAllocator.html" title="interface in org.apache.http.nio.util">ByteBufferAllocator</A>&nbsp;allocator,
                             <A HREF="../../../../../org/apache/http/params/HttpParams.html" title="interface in org.apache.http.params">HttpParams</A>&nbsp;params)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Creates a new instance of this class given the underlying I/O session.</TD>
</TR>
</TABLE>
&nbsp;
<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Method Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/http/impl/nio/DefaultNHttpServerConnection.html#consumeInput(org.apache.http.nio.NHttpServerEventHandler)">consumeInput</A></B>(<A HREF="../../../../../org/apache/http/nio/NHttpServerEventHandler.html" title="interface in org.apache.http.nio">NHttpServerEventHandler</A>&nbsp;handler)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/http/impl/nio/DefaultNHttpServerConnection.html#consumeInput(org.apache.http.nio.NHttpServiceHandler)">consumeInput</A></B>(<A HREF="../../../../../org/apache/http/nio/NHttpServiceHandler.html" title="interface in org.apache.http.nio">NHttpServiceHandler</A>&nbsp;handler)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Triggered when the connection is ready to consume input.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;<A HREF="../../../../../org/apache/http/entity/ContentLengthStrategy.html" title="interface in org.apache.http.entity">ContentLengthStrategy</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/http/impl/nio/DefaultNHttpServerConnection.html#createIncomingContentStrategy()">createIncomingContentStrategy</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;<A HREF="../../../../../org/apache/http/nio/NHttpMessageParser.html" title="interface in org.apache.http.nio">NHttpMessageParser</A>&lt;<A HREF="../../../../../org/apache/http/HttpRequest.html" title="interface in org.apache.http">HttpRequest</A>&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/http/impl/nio/DefaultNHttpServerConnection.html#createRequestParser(org.apache.http.nio.reactor.SessionInputBuffer, org.apache.http.HttpRequestFactory, org.apache.http.params.HttpParams)">createRequestParser</A></B>(<A HREF="../../../../../org/apache/http/nio/reactor/SessionInputBuffer.html" title="interface in org.apache.http.nio.reactor">SessionInputBuffer</A>&nbsp;buffer,
                    <A HREF="../../../../../org/apache/http/HttpRequestFactory.html" title="interface in org.apache.http">HttpRequestFactory</A>&nbsp;requestFactory,
                    <A HREF="../../../../../org/apache/http/params/HttpParams.html" title="interface in org.apache.http.params">HttpParams</A>&nbsp;params)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Creates an instance of <A HREF="../../../../../org/apache/http/nio/NHttpMessageParser.html" title="interface in org.apache.http.nio"><CODE>NHttpMessageParser</CODE></A> to be used
 by this connection for parsing incoming <A HREF="../../../../../org/apache/http/HttpRequest.html" title="interface in org.apache.http"><CODE>HttpRequest</CODE></A> messages.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;<A HREF="../../../../../org/apache/http/nio/NHttpMessageWriter.html" title="interface in org.apache.http.nio">NHttpMessageWriter</A>&lt;<A HREF="../../../../../org/apache/http/HttpResponse.html" title="interface in org.apache.http">HttpResponse</A>&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/http/impl/nio/DefaultNHttpServerConnection.html#createResponseWriter(org.apache.http.nio.reactor.SessionOutputBuffer, org.apache.http.params.HttpParams)">createResponseWriter</A></B>(<A HREF="../../../../../org/apache/http/nio/reactor/SessionOutputBuffer.html" title="interface in org.apache.http.nio.reactor">SessionOutputBuffer</A>&nbsp;buffer,
                     <A HREF="../../../../../org/apache/http/params/HttpParams.html" title="interface in org.apache.http.params">HttpParams</A>&nbsp;params)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Creates an instance of <A HREF="../../../../../org/apache/http/nio/NHttpMessageWriter.html" title="interface in org.apache.http.nio"><CODE>NHttpMessageWriter</CODE></A> to be used
 by this connection for writing out outgoing <A HREF="../../../../../org/apache/http/HttpResponse.html" title="interface in org.apache.http"><CODE>HttpResponse</CODE></A>
 messages.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/http/impl/nio/DefaultNHttpServerConnection.html#isResponseSubmitted()">isResponseSubmitted</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns <code>true</code> if an HTTP response has been submitted to the
 client.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/http/impl/nio/DefaultNHttpServerConnection.html#onRequestReceived(org.apache.http.HttpRequest)">onRequestReceived</A></B>(<A HREF="../../../../../org/apache/http/HttpRequest.html" title="interface in org.apache.http">HttpRequest</A>&nbsp;request)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/http/impl/nio/DefaultNHttpServerConnection.html#onResponseSubmitted(org.apache.http.HttpResponse)">onResponseSubmitted</A></B>(<A HREF="../../../../../org/apache/http/HttpResponse.html" title="interface in org.apache.http">HttpResponse</A>&nbsp;response)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/http/impl/nio/DefaultNHttpServerConnection.html#produceOutput(org.apache.http.nio.NHttpServerEventHandler)">produceOutput</A></B>(<A HREF="../../../../../org/apache/http/nio/NHttpServerEventHandler.html" title="interface in org.apache.http.nio">NHttpServerEventHandler</A>&nbsp;handler)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/http/impl/nio/DefaultNHttpServerConnection.html#produceOutput(org.apache.http.nio.NHttpServiceHandler)">produceOutput</A></B>(<A HREF="../../../../../org/apache/http/nio/NHttpServiceHandler.html" title="interface in org.apache.http.nio">NHttpServiceHandler</A>&nbsp;handler)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Triggered when the connection is ready to produce output.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/http/impl/nio/DefaultNHttpServerConnection.html#resetInput()">resetInput</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Resets output state.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/http/impl/nio/DefaultNHttpServerConnection.html#resetOutput()">resetOutput</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Resets input state.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/http/impl/nio/DefaultNHttpServerConnection.html#submitResponse(org.apache.http.HttpResponse)">submitResponse</A></B>(<A HREF="../../../../../org/apache/http/HttpResponse.html" title="interface in org.apache.http">HttpResponse</A>&nbsp;response)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Submits {link @HttpResponse} to be sent to the client.</TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_org.apache.http.impl.nio.NHttpConnectionBase"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class org.apache.http.impl.nio.<A HREF="../../../../../org/apache/http/impl/nio/NHttpConnectionBase.html" title="class in org.apache.http.impl.nio">NHttpConnectionBase</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../../org/apache/http/impl/nio/NHttpConnectionBase.html#assertNotClosed()">assertNotClosed</A>, <A HREF="../../../../../org/apache/http/impl/nio/NHttpConnectionBase.html#bind(org.apache.http.nio.reactor.IOSession)">bind</A>, <A HREF="../../../../../org/apache/http/impl/nio/NHttpConnectionBase.html#close()">close</A>, <A HREF="../../../../../org/apache/http/impl/nio/NHttpConnectionBase.html#createConnectionMetrics(org.apache.http.io.HttpTransportMetrics, org.apache.http.io.HttpTransportMetrics)">createConnectionMetrics</A>, <A HREF="../../../../../org/apache/http/impl/nio/NHttpConnectionBase.html#createContentDecoder(long, java.nio.channels.ReadableByteChannel, org.apache.http.nio.reactor.SessionInputBuffer, org.apache.http.impl.io.HttpTransportMetricsImpl)">createContentDecoder</A>, <A HREF="../../../../../org/apache/http/impl/nio/NHttpConnectionBase.html#createContentEncoder(long, java.nio.channels.WritableByteChannel, org.apache.http.nio.reactor.SessionOutputBuffer, org.apache.http.impl.io.HttpTransportMetricsImpl)">createContentEncoder</A>, <A HREF="../../../../../org/apache/http/impl/nio/NHttpConnectionBase.html#createOutgoingContentStrategy()">createOutgoingContentStrategy</A>, <A HREF="../../../../../org/apache/http/impl/nio/NHttpConnectionBase.html#createTransportMetrics()">createTransportMetrics</A>, <A HREF="../../../../../org/apache/http/impl/nio/NHttpConnectionBase.html#getContext()">getContext</A>, <A HREF="../../../../../org/apache/http/impl/nio/NHttpConnectionBase.html#getHttpRequest()">getHttpRequest</A>, <A HREF="../../../../../org/apache/http/impl/nio/NHttpConnectionBase.html#getHttpResponse()">getHttpResponse</A>, <A HREF="../../../../../org/apache/http/impl/nio/NHttpConnectionBase.html#getLocalAddress()">getLocalAddress</A>, <A HREF="../../../../../org/apache/http/impl/nio/NHttpConnectionBase.html#getLocalPort()">getLocalPort</A>, <A HREF="../../../../../org/apache/http/impl/nio/NHttpConnectionBase.html#getMetrics()">getMetrics</A>, <A HREF="../../../../../org/apache/http/impl/nio/NHttpConnectionBase.html#getRemoteAddress()">getRemoteAddress</A>, <A HREF="../../../../../org/apache/http/impl/nio/NHttpConnectionBase.html#getRemotePort()">getRemotePort</A>, <A HREF="../../../../../org/apache/http/impl/nio/NHttpConnectionBase.html#getSocket()">getSocket</A>, <A HREF="../../../../../org/apache/http/impl/nio/NHttpConnectionBase.html#getSocketTimeout()">getSocketTimeout</A>, <A HREF="../../../../../org/apache/http/impl/nio/NHttpConnectionBase.html#getStatus()">getStatus</A>, <A HREF="../../../../../org/apache/http/impl/nio/NHttpConnectionBase.html#hasBufferedInput()">hasBufferedInput</A>, <A HREF="../../../../../org/apache/http/impl/nio/NHttpConnectionBase.html#hasBufferedOutput()">hasBufferedOutput</A>, <A HREF="../../../../../org/apache/http/impl/nio/NHttpConnectionBase.html#isOpen()">isOpen</A>, <A HREF="../../../../../org/apache/http/impl/nio/NHttpConnectionBase.html#isStale()">isStale</A>, <A HREF="../../../../../org/apache/http/impl/nio/NHttpConnectionBase.html#prepareDecoder(org.apache.http.HttpMessage)">prepareDecoder</A>, <A HREF="../../../../../org/apache/http/impl/nio/NHttpConnectionBase.html#prepareEncoder(org.apache.http.HttpMessage)">prepareEncoder</A>, <A HREF="../../../../../org/apache/http/impl/nio/NHttpConnectionBase.html#requestInput()">requestInput</A>, <A HREF="../../../../../org/apache/http/impl/nio/NHttpConnectionBase.html#requestOutput()">requestOutput</A>, <A HREF="../../../../../org/apache/http/impl/nio/NHttpConnectionBase.html#setSocketTimeout(int)">setSocketTimeout</A>, <A HREF="../../../../../org/apache/http/impl/nio/NHttpConnectionBase.html#shutdown()">shutdown</A>, <A HREF="../../../../../org/apache/http/impl/nio/NHttpConnectionBase.html#suspendInput()">suspendInput</A>, <A HREF="../../../../../org/apache/http/impl/nio/NHttpConnectionBase.html#suspendOutput()">suspendOutput</A>, <A HREF="../../../../../org/apache/http/impl/nio/NHttpConnectionBase.html#toString()">toString</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.lang.Object"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class java.lang.<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#clone()" title="class or interface in java.lang">clone</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#equals(java.lang.Object)" title="class or interface in java.lang">equals</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#finalize()" title="class or interface in java.lang">finalize</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#getClass()" title="class or interface in java.lang">getClass</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#hashCode()" title="class or interface in java.lang">hashCode</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#notify()" title="class or interface in java.lang">notify</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#notifyAll()" title="class or interface in java.lang">notifyAll</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#wait()" title="class or interface in java.lang">wait</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#wait(long)" title="class or interface in java.lang">wait</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#wait(long, int)" title="class or interface in java.lang">wait</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_org.apache.http.nio.NHttpConnection"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from interface org.apache.http.nio.<A HREF="../../../../../org/apache/http/nio/NHttpConnection.html" title="interface in org.apache.http.nio">NHttpConnection</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../../org/apache/http/nio/NHttpConnection.html#getContext()">getContext</A>, <A HREF="../../../../../org/apache/http/nio/NHttpConnection.html#getHttpRequest()">getHttpRequest</A>, <A HREF="../../../../../org/apache/http/nio/NHttpConnection.html#getHttpResponse()">getHttpResponse</A>, <A HREF="../../../../../org/apache/http/nio/NHttpConnection.html#getStatus()">getStatus</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_org.apache.http.HttpConnection"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from interface org.apache.http.<A HREF="../../../../../org/apache/http/HttpConnection.html" title="interface in org.apache.http">HttpConnection</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../../org/apache/http/HttpConnection.html#close()">close</A>, <A HREF="../../../../../org/apache/http/HttpConnection.html#getMetrics()">getMetrics</A>, <A HREF="../../../../../org/apache/http/HttpConnection.html#getSocketTimeout()">getSocketTimeout</A>, <A HREF="../../../../../org/apache/http/HttpConnection.html#isOpen()">isOpen</A>, <A HREF="../../../../../org/apache/http/HttpConnection.html#isStale()">isStale</A>, <A HREF="../../../../../org/apache/http/HttpConnection.html#setSocketTimeout(int)">setSocketTimeout</A>, <A HREF="../../../../../org/apache/http/HttpConnection.html#shutdown()">shutdown</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_org.apache.http.nio.IOControl"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from interface org.apache.http.nio.<A HREF="../../../../../org/apache/http/nio/IOControl.html" title="interface in org.apache.http.nio">IOControl</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../../org/apache/http/nio/IOControl.html#requestInput()">requestInput</A>, <A HREF="../../../../../org/apache/http/nio/IOControl.html#requestOutput()">requestOutput</A>, <A HREF="../../../../../org/apache/http/nio/IOControl.html#shutdown()">shutdown</A>, <A HREF="../../../../../org/apache/http/nio/IOControl.html#suspendInput()">suspendInput</A>, <A HREF="../../../../../org/apache/http/nio/IOControl.html#suspendOutput()">suspendOutput</A></CODE></TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ============ FIELD DETAIL =========== -->

<A NAME="field_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Field Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="requestParser"><!-- --></A><H3>
requestParser</H3>
<PRE>
protected final <A HREF="../../../../../org/apache/http/nio/NHttpMessageParser.html" title="interface in org.apache.http.nio">NHttpMessageParser</A>&lt;<A HREF="../../../../../org/apache/http/HttpRequest.html" title="interface in org.apache.http">HttpRequest</A>&gt; <B>requestParser</B></PRE>
<DL>
<DL>
</DL>
</DL>
<HR>

<A NAME="responseWriter"><!-- --></A><H3>
responseWriter</H3>
<PRE>
protected final <A HREF="../../../../../org/apache/http/nio/NHttpMessageWriter.html" title="interface in org.apache.http.nio">NHttpMessageWriter</A>&lt;<A HREF="../../../../../org/apache/http/HttpResponse.html" title="interface in org.apache.http">HttpResponse</A>&gt; <B>responseWriter</B></PRE>
<DL>
<DL>
</DL>
</DL>

<!-- ========= CONSTRUCTOR DETAIL ======== -->

<A NAME="constructor_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Constructor Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="DefaultNHttpServerConnection(org.apache.http.nio.reactor.IOSession, org.apache.http.HttpRequestFactory, org.apache.http.nio.util.ByteBufferAllocator, org.apache.http.params.HttpParams)"><!-- --></A><H3>
DefaultNHttpServerConnection</H3>
<PRE>
public <B>DefaultNHttpServerConnection</B>(<A HREF="../../../../../org/apache/http/nio/reactor/IOSession.html" title="interface in org.apache.http.nio.reactor">IOSession</A>&nbsp;session,
                                    <A HREF="../../../../../org/apache/http/HttpRequestFactory.html" title="interface in org.apache.http">HttpRequestFactory</A>&nbsp;requestFactory,
                                    <A HREF="../../../../../org/apache/http/nio/util/ByteBufferAllocator.html" title="interface in org.apache.http.nio.util">ByteBufferAllocator</A>&nbsp;allocator,
                                    <A HREF="../../../../../org/apache/http/params/HttpParams.html" title="interface in org.apache.http.params">HttpParams</A>&nbsp;params)</PRE>
<DL>
<DD>Creates a new instance of this class given the underlying I/O session.
<P>
<DL>
<DT><B>Parameters:</B><DD><CODE>session</CODE> - the underlying I/O session.<DD><CODE>requestFactory</CODE> - HTTP request factory.<DD><CODE>allocator</CODE> - byte buffer allocator.<DD><CODE>params</CODE> - HTTP parameters.</DL>
</DL>

<!-- ============ METHOD DETAIL ========== -->

<A NAME="method_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Method Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="createIncomingContentStrategy()"><!-- --></A><H3>
createIncomingContentStrategy</H3>
<PRE>
protected <A HREF="../../../../../org/apache/http/entity/ContentLengthStrategy.html" title="interface in org.apache.http.entity">ContentLengthStrategy</A> <B>createIncomingContentStrategy</B>()</PRE>
<DL>
<DD><DL>
<DT><B>Overrides:</B><DD><CODE><A HREF="../../../../../org/apache/http/impl/nio/NHttpConnectionBase.html#createIncomingContentStrategy()">createIncomingContentStrategy</A></CODE> in class <CODE><A HREF="../../../../../org/apache/http/impl/nio/NHttpConnectionBase.html" title="class in org.apache.http.impl.nio">NHttpConnectionBase</A></CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="createRequestParser(org.apache.http.nio.reactor.SessionInputBuffer, org.apache.http.HttpRequestFactory, org.apache.http.params.HttpParams)"><!-- --></A><H3>
createRequestParser</H3>
<PRE>
protected <A HREF="../../../../../org/apache/http/nio/NHttpMessageParser.html" title="interface in org.apache.http.nio">NHttpMessageParser</A>&lt;<A HREF="../../../../../org/apache/http/HttpRequest.html" title="interface in org.apache.http">HttpRequest</A>&gt; <B>createRequestParser</B>(<A HREF="../../../../../org/apache/http/nio/reactor/SessionInputBuffer.html" title="interface in org.apache.http.nio.reactor">SessionInputBuffer</A>&nbsp;buffer,
                                                              <A HREF="../../../../../org/apache/http/HttpRequestFactory.html" title="interface in org.apache.http">HttpRequestFactory</A>&nbsp;requestFactory,
                                                              <A HREF="../../../../../org/apache/http/params/HttpParams.html" title="interface in org.apache.http.params">HttpParams</A>&nbsp;params)</PRE>
<DL>
<DD>Creates an instance of <A HREF="../../../../../org/apache/http/nio/NHttpMessageParser.html" title="interface in org.apache.http.nio"><CODE>NHttpMessageParser</CODE></A> to be used
 by this connection for parsing incoming <A HREF="../../../../../org/apache/http/HttpRequest.html" title="interface in org.apache.http"><CODE>HttpRequest</CODE></A> messages.
 <p>
 This method can be overridden in a super class in order to provide
 a different implementation of the <A HREF="../../../../../org/apache/http/nio/NHttpMessageParser.html" title="interface in org.apache.http.nio"><CODE>NHttpMessageParser</CODE></A> interface.
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>HTTP response parser.</DL>
</DD>
</DL>
<HR>

<A NAME="createResponseWriter(org.apache.http.nio.reactor.SessionOutputBuffer, org.apache.http.params.HttpParams)"><!-- --></A><H3>
createResponseWriter</H3>
<PRE>
protected <A HREF="../../../../../org/apache/http/nio/NHttpMessageWriter.html" title="interface in org.apache.http.nio">NHttpMessageWriter</A>&lt;<A HREF="../../../../../org/apache/http/HttpResponse.html" title="interface in org.apache.http">HttpResponse</A>&gt; <B>createResponseWriter</B>(<A HREF="../../../../../org/apache/http/nio/reactor/SessionOutputBuffer.html" title="interface in org.apache.http.nio.reactor">SessionOutputBuffer</A>&nbsp;buffer,
                                                                <A HREF="../../../../../org/apache/http/params/HttpParams.html" title="interface in org.apache.http.params">HttpParams</A>&nbsp;params)</PRE>
<DL>
<DD>Creates an instance of <A HREF="../../../../../org/apache/http/nio/NHttpMessageWriter.html" title="interface in org.apache.http.nio"><CODE>NHttpMessageWriter</CODE></A> to be used
 by this connection for writing out outgoing <A HREF="../../../../../org/apache/http/HttpResponse.html" title="interface in org.apache.http"><CODE>HttpResponse</CODE></A>
 messages.
 <p>
 This method can be overridden by a super class in order to provide
 a different implementation of the <A HREF="../../../../../org/apache/http/nio/NHttpMessageWriter.html" title="interface in org.apache.http.nio"><CODE>NHttpMessageWriter</CODE></A> interface.
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>HTTP response parser.</DL>
</DD>
</DL>
<HR>

<A NAME="onRequestReceived(org.apache.http.HttpRequest)"><!-- --></A><H3>
onRequestReceived</H3>
<PRE>
protected void <B>onRequestReceived</B>(<A HREF="../../../../../org/apache/http/HttpRequest.html" title="interface in org.apache.http">HttpRequest</A>&nbsp;request)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Since:</B></DT>
  <DD>4.2</DD>
</DL>
</DD>
</DL>
<HR>

<A NAME="onResponseSubmitted(org.apache.http.HttpResponse)"><!-- --></A><H3>
onResponseSubmitted</H3>
<PRE>
protected void <B>onResponseSubmitted</B>(<A HREF="../../../../../org/apache/http/HttpResponse.html" title="interface in org.apache.http">HttpResponse</A>&nbsp;response)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Since:</B></DT>
  <DD>4.2</DD>
</DL>
</DD>
</DL>
<HR>

<A NAME="resetInput()"><!-- --></A><H3>
resetInput</H3>
<PRE>
public void <B>resetInput</B>()</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../../org/apache/http/nio/NHttpServerConnection.html#resetInput()">NHttpServerConnection</A></CODE></B></DD>
<DD>Resets output state. This method can be used to prematurely terminate
 processing of the incoming HTTP request.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../org/apache/http/nio/NHttpServerConnection.html#resetInput()">resetInput</A></CODE> in interface <CODE><A HREF="../../../../../org/apache/http/nio/NHttpServerConnection.html" title="interface in org.apache.http.nio">NHttpServerConnection</A></CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="resetOutput()"><!-- --></A><H3>
resetOutput</H3>
<PRE>
public void <B>resetOutput</B>()</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../../org/apache/http/nio/NHttpServerConnection.html#resetOutput()">NHttpServerConnection</A></CODE></B></DD>
<DD>Resets input state. This method can be used to prematurely terminate
 processing of the outgoing HTTP response.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../org/apache/http/nio/NHttpServerConnection.html#resetOutput()">resetOutput</A></CODE> in interface <CODE><A HREF="../../../../../org/apache/http/nio/NHttpServerConnection.html" title="interface in org.apache.http.nio">NHttpServerConnection</A></CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="consumeInput(org.apache.http.nio.NHttpServerEventHandler)"><!-- --></A><H3>
consumeInput</H3>
<PRE>
public void <B>consumeInput</B>(<A HREF="../../../../../org/apache/http/nio/NHttpServerEventHandler.html" title="interface in org.apache.http.nio">NHttpServerEventHandler</A>&nbsp;handler)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="produceOutput(org.apache.http.nio.NHttpServerEventHandler)"><!-- --></A><H3>
produceOutput</H3>
<PRE>
public void <B>produceOutput</B>(<A HREF="../../../../../org/apache/http/nio/NHttpServerEventHandler.html" title="interface in org.apache.http.nio">NHttpServerEventHandler</A>&nbsp;handler)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="submitResponse(org.apache.http.HttpResponse)"><!-- --></A><H3>
submitResponse</H3>
<PRE>
public void <B>submitResponse</B>(<A HREF="../../../../../org/apache/http/HttpResponse.html" title="interface in org.apache.http">HttpResponse</A>&nbsp;response)
                    throws <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</A>,
                           <A HREF="../../../../../org/apache/http/HttpException.html" title="class in org.apache.http">HttpException</A></PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../../org/apache/http/nio/NHttpServerConnection.html#submitResponse(org.apache.http.HttpResponse)">NHttpServerConnection</A></CODE></B></DD>
<DD>Submits {link @HttpResponse} to be sent to the client.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../org/apache/http/nio/NHttpServerConnection.html#submitResponse(org.apache.http.HttpResponse)">submitResponse</A></CODE> in interface <CODE><A HREF="../../../../../org/apache/http/nio/NHttpServerConnection.html" title="interface in org.apache.http.nio">NHttpServerConnection</A></CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>response</CODE> - HTTP response
<DT><B>Throws:</B>
<DD><CODE><A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</A></CODE> - if I/O error occurs while submitting the response
<DD><CODE><A HREF="../../../../../org/apache/http/HttpException.html" title="class in org.apache.http">HttpException</A></CODE> - if the HTTP response violates the HTTP protocol.</DL>
</DD>
</DL>
<HR>

<A NAME="isResponseSubmitted()"><!-- --></A><H3>
isResponseSubmitted</H3>
<PRE>
public boolean <B>isResponseSubmitted</B>()</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../../org/apache/http/nio/NHttpServerConnection.html#isResponseSubmitted()">NHttpServerConnection</A></CODE></B></DD>
<DD>Returns <code>true</code> if an HTTP response has been submitted to the
 client.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../org/apache/http/nio/NHttpServerConnection.html#isResponseSubmitted()">isResponseSubmitted</A></CODE> in interface <CODE><A HREF="../../../../../org/apache/http/nio/NHttpServerConnection.html" title="interface in org.apache.http.nio">NHttpServerConnection</A></CODE></DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD><code>true</code> if an HTTP response has been submitted,
 <code>false</code> otherwise.</DL>
</DD>
</DL>
<HR>

<A NAME="consumeInput(org.apache.http.nio.NHttpServiceHandler)"><!-- --></A><H3>
consumeInput</H3>
<PRE>
public void <B>consumeInput</B>(<A HREF="../../../../../org/apache/http/nio/NHttpServiceHandler.html" title="interface in org.apache.http.nio">NHttpServiceHandler</A>&nbsp;handler)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../../org/apache/http/nio/NHttpServerIOTarget.html#consumeInput(org.apache.http.nio.NHttpServiceHandler)">NHttpServerIOTarget</A></CODE></B></DD>
<DD>Triggered when the connection is ready to consume input.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../org/apache/http/nio/NHttpServerIOTarget.html#consumeInput(org.apache.http.nio.NHttpServiceHandler)">consumeInput</A></CODE> in interface <CODE><A HREF="../../../../../org/apache/http/nio/NHttpServerIOTarget.html" title="interface in org.apache.http.nio">NHttpServerIOTarget</A></CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>handler</CODE> - the server protocol handler.</DL>
</DD>
</DL>
<HR>

<A NAME="produceOutput(org.apache.http.nio.NHttpServiceHandler)"><!-- --></A><H3>
produceOutput</H3>
<PRE>
public void <B>produceOutput</B>(<A HREF="../../../../../org/apache/http/nio/NHttpServiceHandler.html" title="interface in org.apache.http.nio">NHttpServiceHandler</A>&nbsp;handler)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../../org/apache/http/nio/NHttpServerIOTarget.html#produceOutput(org.apache.http.nio.NHttpServiceHandler)">NHttpServerIOTarget</A></CODE></B></DD>
<DD>Triggered when the connection is ready to produce output.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../org/apache/http/nio/NHttpServerIOTarget.html#produceOutput(org.apache.http.nio.NHttpServiceHandler)">produceOutput</A></CODE> in interface <CODE><A HREF="../../../../../org/apache/http/nio/NHttpServerIOTarget.html" title="interface in org.apache.http.nio">NHttpServerIOTarget</A></CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>handler</CODE> - the server protocol handler.</DL>
</DD>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/DefaultNHttpServerConnection.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../../org/apache/http/impl/nio/DefaultNHttpClientConnectionFactory.html" title="class in org.apache.http.impl.nio"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../../org/apache/http/impl/nio/DefaultNHttpServerConnectionFactory.html" title="class in org.apache.http.impl.nio"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../index.html?org/apache/http/impl/nio/DefaultNHttpServerConnection.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="DefaultNHttpServerConnection.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;<A HREF="#field_summary">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;<A HREF="#field_detail">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>
Copyright &#169; 2005-2012 <a href="http://www.apache.org/">The Apache Software Foundation</a>. All Rights Reserved.
</BODY>
</HTML>
